org.apache.lucene.replicator.nrt

## Class CopyState

- java.lang.Object
- - org.apache.lucene.replicator.nrt.CopyState

-     public class CopyState
      extends Object

  Holds incRef'd file level details for one point-in-time segment infos on the primary node.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Set<String>` | `completedMergeFiles`
    `Map<String,FileMetaData>` | `files`
    `long` | `gen`
    `SegmentInfos` | `infos`
    `byte[]` | `infosBytes`
    `long` | `primaryGen`
    `long` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopyState(Map<String,FileMetaData> files, long version, long gen, byte[] infosBytes, Set<String> completedMergeFiles, long primaryGen, SegmentInfos infos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### files

          public final Map<String,FileMetaData> files

    - #### version

          public final long version

    - #### gen

          public final long gen

    - #### infosBytes

          public final byte[] infosBytes

    - #### completedMergeFiles

          public final Set<String> completedMergeFiles

    - #### primaryGen

          public final long primaryGen

    - #### infos

          public final SegmentInfos infos

  - ### Constructor Detail

    - #### CopyState

          public CopyState(Map<String,FileMetaData> files,
                           long version,
                           long gen,
                           byte[] infosBytes,
                           Set<String> completedMergeFiles,
                           long primaryGen,
                           SegmentInfos infos)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.